For the complete documentation index, see llms.txt. This page is also available as Markdown.

Legal

get

Returns global Legacy Vault privacy notice content for authenticated users.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Successful response

application/json
titlestringRequired

Privacy notice title

dpoEmailstring · emailRequired

Data Protection Officer contact email

Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
get/workspace/legal/privacy-notice
GET /rest/workspace/legal/privacy-notice HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "title": "text",
  "dpoEmail": "[email protected]",
  "sections": [
    {
      "id": "which",
      "title": "text",
      "blocks": [
        {
          "type": "text",
          "content": [
            {
              "type": "text",
              "text": "text"
            }
          ]
        }
      ]
    }
  ]
}
get

Returns global Legacy Vault sub-processors content for authenticated users.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Successful response

application/json
titlestringRequired

Sub-processors page title

descriptionBlocksone of[]Required

Structured sub-processors page description

or
subscriptionUrlstring · uriRequired

URL to subscribe to sub-processor updates

objectionEmailstring · emailRequired

Email address for written objections

Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
lastUpdatedAtstringRequired

Date when the global sub-processor list was last updated

Pattern: ^\d{4}-\d{2}-\d{2}$
get/workspace/legal/sub-processors
GET /rest/workspace/legal/sub-processors HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "title": "text",
  "descriptionBlocks": [
    {
      "type": "text",
      "content": [
        {
          "type": "text",
          "text": "text"
        }
      ]
    }
  ],
  "subscriptionUrl": "https://example.com",
  "objectionEmail": "[email protected]",
  "lastUpdatedAt": "text",
  "subProcessors": [
    {
      "entity": "text",
      "purpose": "text",
      "dataLocation": "text",
      "transferBasis": "text"
    }
  ]
}

Last updated